Library Version 18.1.40

DB_ENV->get_lg_regionmax()
Prev | Chapter 7. The DB_LSN Handle | Next

## DB_ENV->get_lg_regionmax()

    #include <db.h>

    int
    DB_ENV->get_lg_regionmax(DB_ENV *dbenv, u_int32_t *lg_regionmaxp);

The `DB_ENV->get_lg_regionmax()` method returns the size of the underlying logging subsystem region. You can manage this value using the DB_ENV->set_lg_regionmax() method.

The `DB_ENV->get_lg_regionmax()` method may be called at any time during the life of the application.

The `DB_ENV->get_lg_regionmax()` method returns a non-zero error value on failure and 0 on success.

### Parameters

#### lg_regionmaxp

The `DB_ENV->get_lg_regionmax()` method returns the size of the underlying logging subsystem region in lg_regionmaxp.

### Class

DB_ENV, DB_LOGC, DB_LSN

### See Also

Logging Subsystem and Related Methods, DB_ENV->set_lg_regionmax()

Prev | Up | Next
DB_ENV->get_lg_max() | Home | DB_ENV->log_archive()